Social Fetch
Pinterest

List Pinterest profile boards

List public boards for a Pinterest profile.

GET/v1/pinterest/profiles/{handle}/boards
1credit
x-api-key*stringheader

API key (`sfk_...`)

Parameters
3
handle*stringpath

Pinterest username whose boards should be listed.

min 1 chars · max 64 chars

cursorstringoptionalquery

Opaque pagination cursor returned by a previous response.

min 1 chars

trimoptionalquery

When true, returns a smaller response with fewer fields.

Response fields
24

Endpoint-specific response payload.

datalookupStatus
string

Whether the profile was found.

one of: found, not_found

Boards returned for this request.

databoards[]id
string

Pinterest board id.

min 1 chars

databoards[]name
stringnullable

Board name when available.

databoards[]url
stringnullable

Canonical public board URL when available.

databoards[]description
stringnullable

Board description when available.

databoards[]pinCount
integernullable

Number of pins on the board when available.

≥ 0

databoards[]followerCount
integernullable

Board follower count when available.

≥ 0

databoards[]coverImageUrl
stringnullable

Cover image URL when available.

databoards[]createdAt
stringnullable

When the board was created, when available.

databoards[]privacy
stringnullable

Board privacy setting when available.

Board owner when available.

databoards[]ownerid
stringnullable

Pinterest user id when available.

databoards[]ownerusername
stringnullable

Pinterest username when available.

databoards[]ownerfullName
stringnullable

Display name when available.

databoards[]owneravatarUrl
stringnullable

Profile image URL when available.

Pagination state for the current response.

datapagenextCursor
stringnullable

Cursor to pass in the next request when more results are available.

datapagehasMore
boolean

Whether another page of results is available.

Metadata describing the request and billing outcome.

metarequestId
string

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integer

Credits charged for this request.

≥ 0

metaversion
string

Public API version that served the response.

one of: v1

Code example

curl "https://api.socialfetch.dev/v1/pinterest/profiles/broadstbullycom/boards" \
  -H "x-api-key: YOUR_API_KEY"

Responses

Boards for the requested profile.